<?php

namespace Service;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\FilterCriteria;
use Zeedhi\Zmart\DataSource\ZmartFilterCriteria;

class StyleService {

    protected $dataSourceName = 'style';
    protected $orgMongoManager;
    protected $baseMongoManager;

    public function __construct (Manager $orgMongoManager, Manager $baseMongoManager){
        $this->orgMongoManager = $orgMongoManager;
        $this->baseMongoManager = $baseMongoManager;
    }

    public function getStyleGeneral($params)
    {
        unset($params['page']);
        unset($params['limit']);
        $baseStyle = $this->getStyleFromBase($params);
        $orgStyle = $this->getStyleFromOrg($params);
        $style = array_merge($baseStyle, $orgStyle);
        return $style;

    }

    public function getStyleFromBase($params){
        $response = $this->baseMongoManager->findNext($this->dataSourceName, $params);
        foreach ($response as &$row) {
            $row['base'] = true;
        }
        return $response;
    }

    public function getStyleFromOrg($params){
        $response = $this->orgMongoManager->findNext($this->dataSourceName, $params);
        return $response;
    }
}
