<?php

namespace Util;

use Doctrine\DBAL\DriverManager;
use Doctrine\ORM\EntityManager as EntityManager;
use Zeedhi\Framework\ORM\ConnectionFactory as ORMConnectionFactory;

class ConnectionCustom {
    private $config;
    private $eventManager;
    private $connectionParams;

    public function __construct(array $connectionParams, $config = null, $eventManager = null) {
        $this->config = $config;
        $this->eventManager = $eventManager;
        $this->connectionParams = $connectionParams;
    }

    /**
     * @param $wallet
     * @return EntityManager
     */
    public function getConnectionWallet($wallet)
    {
        if ($wallet) {
            unset($this->connectionParams['host']);
            unset($this->connectionParams['port']);
            $this->connectionParams['user'] = '/';
            $this->connectionParams['password'] = '';
            $this->connectionParams['dbname'] = $wallet;
            $this->connectionParams['sessionMode'] = -2147483648;
            $connection = DriverManager::getConnection($this->connectionParams, $this->config, $this->eventManager);
            return EntityManager::create($connection, $this->config, $this->eventManager);
        } else {
            return false;
        }
    }
} 